# Changelog
All notable changes to this project will be documented in this file.

This project adheres to [Semantic Versioning](http://semver.org/),
where **Major.Minor.Patch** is interpreted as **Breaking.Feature.Fix**.

## [1.1.2] - 2018-01-29
### Fixed
- All Time High/Low and Year High/Low are now updated in realtime.

## [1.1.1] - 2017-10-11
### Fixed
- Fixes problem with some information missing from analytics context

## [1.1.0] - 2017-08-31
### Feature
- Support for compact JSON encoding

### Fixed
- Potential issue with high message rates

## [1.0.7] - 2017-08-16
### Fixed
- Crashes when receiving a 500 response from the API

### Changed
- Updates bundling

## [1.0.6] - 2017-08-02
### Changed
- Updates bundling

## [1.0.5] - 2017-07-13
### Changed
- update batching, the manager will update slower if the client cannot handle all the updates

## [1.0.4] - 2017-06-12
### Changed
- performance improvements

## [1.0.3] - 2017-05-22
### Added
- adds changePercentHigh/LowThisYear fields

### Changed
- allow session to be used for snapshot if streaming entitlements are missing

## [1.0.2] - 2017-04-04
### Fixed
- fixes null updates to change values

## [1.0.1] - 2017-03-29
### Fixed
- fixes reconnection issue after calling close()
- fix to always send PING every 30s

### Removed
- remove console output when receiving DEBUG and PING messages

## [1.0.0] - 2017-03-17
### Added
- First stable release
