# Provides support for streaming to widgets

- Must be initialized with the SDK session and used in the widgets that should stream

## Usage

### NPM
```bash
# npm install six-alerts-manager
```

```javascript
import StreamingManager from 'six-streaming-manager'

// initialize with session from SDK
var streamingSession = StreamingManager(session)
```

### CDN

```html
<script type="text/javascript" src="https://cdn.six.se/js/six-streaming-manager/1/six-streaming-manager.min.js" />

```

```javascript
// initialize with session from SDK
var streamingSession = Six.Components.StreamingManager(session)
```
